Main Page Groups Namespaces

# sigc::functor_trait< T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4), false > Struct Template Reference

List of all members.

## Public Types

typedef T_return | result_type
typedef mem_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return, T_obj > | functor_type

### template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_return, class T_obj>
struct sigc::functor_trait< T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4), false >

## Member Typedef Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_return, class T_obj>
typedef mem_functor4<T_arg1,T_arg2,T_arg3,T_arg4, T_return, T_obj> sigc::functor_trait<T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4), false>::functor_type

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_return, class T_obj>
typedef T_return sigc::functor_trait<T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4), false>::result_type

The documentation for this struct was generated from the following file:

- functor_trait.h